ICU 77.1: icu::number::UnlocalizedNumberFormatter Class Reference

ICU 77.1 77.1

Public Member Functions | Friends
icu::number::UnlocalizedNumberFormatter Class Reference

A NumberFormatter that does not yet have a locale. More...

`#include <numberformatter.h>`

Inheritance diagram for icu::number::UnlocalizedNumberFormatter:

## Public Member Functions
LocalizedNumberFormatter | locale (const icu::Locale &locale) const &
| Associate the given locale with the number formatter. More...
LocalizedNumberFormatter | locale (const icu::Locale &locale) &&
| Overload of locale() for use on an rvalue reference. More...
| UnlocalizedNumberFormatter ()=default
| Default constructor: puts the formatter into a valid but undefined state. More...
| UnlocalizedNumberFormatter (const UnlocalizedNumberFormatter &other)
| Returns a copy of this UnlocalizedNumberFormatter. More...
| UnlocalizedNumberFormatter (UnlocalizedNumberFormatter &&src) noexcept
| Move constructor: The source UnlocalizedNumberFormatter will be left in a valid but undefined state. More...
UnlocalizedNumberFormatter & | operator= (const UnlocalizedNumberFormatter &other)
| Copy assignment operator. More...
UnlocalizedNumberFormatter & | operator= (UnlocalizedNumberFormatter &&src) noexcept
| Move assignment operator: The source UnlocalizedNumberFormatter will be left in a valid but undefined state. More...
Public Member Functions inherited from icu::number::NumberFormatterSettings< UnlocalizedNumberFormatter >
UnlocalizedNumberFormatter | notation (const Notation &notation) const &
| Specifies the notation style (simple, scientific, or compact) for rendering numbers. More...
UnlocalizedNumberFormatter | notation (const Notation &notation) &&
| Overload of notation() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | unit (const icu::MeasureUnit &unit) const &
| Specifies the unit (unit of measure, currency, or percent) to associate with rendered numbers. More...
UnlocalizedNumberFormatter | unit (const icu::MeasureUnit &unit) &&
| Overload of unit() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | adoptUnit (icu::MeasureUnit *unit) const &
| Like unit(), but takes ownership of a pointer. More...
UnlocalizedNumberFormatter | adoptUnit (icu::MeasureUnit *unit) &&
| Overload of adoptUnit() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | perUnit (const icu::MeasureUnit &perUnit) const &
| Sets a unit to be used in the denominator. More...
UnlocalizedNumberFormatter | perUnit (const icu::MeasureUnit &perUnit) &&
| Overload of perUnit() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | adoptPerUnit (icu::MeasureUnit *perUnit) const &
| Like perUnit(), but takes ownership of a pointer. More...
UnlocalizedNumberFormatter | adoptPerUnit (icu::MeasureUnit *perUnit) &&
| Overload of adoptPerUnit() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | precision (const Precision &precision) const &
| Specifies the rounding precision to use when formatting numbers. More...
UnlocalizedNumberFormatter | precision (const Precision &precision) &&
| Overload of precision() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | roundingMode (UNumberFormatRoundingMode roundingMode) const &
| Specifies how to determine the direction to round a number when it has more digits than fit in the desired precision. More...
UnlocalizedNumberFormatter | roundingMode (UNumberFormatRoundingMode roundingMode) &&
| Overload of roundingMode() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | grouping (UNumberGroupingStrategy strategy) const &
| Specifies the grouping strategy to use when formatting numbers. More...
UnlocalizedNumberFormatter | grouping (UNumberGroupingStrategy strategy) &&
| Overload of grouping() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | integerWidth (const IntegerWidth &style) const &
| Specifies the minimum and maximum number of digits to render before the decimal mark. More...
UnlocalizedNumberFormatter | integerWidth (const IntegerWidth &style) &&
| Overload of integerWidth() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | symbols (const DecimalFormatSymbols &symbols) const &
| Specifies the symbols (decimal separator, grouping separator, percent sign, numerals, etc.) to use when rendering numbers. More...
UnlocalizedNumberFormatter | symbols (const DecimalFormatSymbols &symbols) &&
| Overload of symbols() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | adoptSymbols (NumberingSystem *symbols) const &
| Specifies that the given numbering system should be used when fetching symbols. More...
UnlocalizedNumberFormatter | adoptSymbols (NumberingSystem *symbols) &&
| Overload of adoptSymbols() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | unitWidth (UNumberUnitWidth width) const &
| Sets the width of the unit (measure unit or currency). More...
UnlocalizedNumberFormatter | unitWidth (UNumberUnitWidth width) &&
| Overload of unitWidth() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | sign (UNumberSignDisplay style) const &
| Sets the plus/minus sign display strategy. More...
UnlocalizedNumberFormatter | sign (UNumberSignDisplay style) &&
| Overload of sign() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | decimal (UNumberDecimalSeparatorDisplay style) const &
| Sets the decimal separator display strategy. More...
UnlocalizedNumberFormatter | decimal (UNumberDecimalSeparatorDisplay style) &&
| Overload of decimal() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | scale (const Scale &scale) const &
| Sets a scale (multiplier) to be used to scale the number by an arbitrary amount before formatting. More...
UnlocalizedNumberFormatter | scale (const Scale &scale) &&
| Overload of scale() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | usage (StringPiece usage) const &
| Specifies the usage for which numbers will be formatted ("person-height", "road", "rainfall", etc.) More...
UnlocalizedNumberFormatter | usage (StringPiece usage) &&
| Overload of usage() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | displayOptions (const DisplayOptions &displayOptions) const &
| Specifies the DisplayOptions. More...
UnlocalizedNumberFormatter | displayOptions (const DisplayOptions &displayOptions) &&
| Overload of displayOptions() for use on an rvalue reference. More...
UnlocalizedNumberFormatter | unitDisplayCase (StringPiece unitDisplayCase) const &
| NOTE: Use `displayOptions` instead. More...
UnlocalizedNumberFormatter | unitDisplayCase (StringPiece unitDisplayCase) &&
| NOTE: Use `displayOptions` instead. More...
UnlocalizedNumberFormatter | padding (const impl::Padder &padder) const &
| Set the padding strategy. More...
UnlocalizedNumberFormatter | padding (const impl::Padder &padder) &&
UnlocalizedNumberFormatter | threshold (int32_t threshold) const &
| Internal fluent setter to support a custom regulation threshold. More...
UnlocalizedNumberFormatter | threshold (int32_t threshold) &&
UnlocalizedNumberFormatter | macros (const impl::MacroProps &macros) const &
| Internal fluent setter to overwrite the entire macros object. More...
UnlocalizedNumberFormatter | macros (const impl::MacroProps &macros) &&
UnlocalizedNumberFormatter | macros (impl::MacroProps &&macros) const &
UnlocalizedNumberFormatter | macros (impl::MacroProps &&macros) &&
UnicodeString | toSkeleton (UErrorCode &status) const
| Creates a skeleton string representation of this number formatter. More...
LocalPointer< UnlocalizedNumberFormatter > | clone () const &
| Returns the current (Un)LocalizedNumberFormatter as a LocalPointer wrapping a heap-allocated copy of the current object. More...
LocalPointer< UnlocalizedNumberFormatter > | clone () &&
| Overload of clone for use on an rvalue reference. More...
UBool | copyErrorTo (UErrorCode &outErrorCode) const
| Sets the UErrorCode if an error occurred in the fluent chain. More...

## Friends
class | NumberFormatterSettings< UnlocalizedNumberFormatter >
class | NumberFormatter
class | LocalizedNumberFormatter

## Detailed Description

A NumberFormatter that does not yet have a locale.

In order to format numbers, a locale must be specified.

Instances of this class are immutable and thread-safe.

See also
  NumberFormatter

Stable:
  ICU 60

Definition at line 2433 of file numberformatter.h.

## Constructor & Destructor Documentation

## ◆ UnlocalizedNumberFormatter() [1/3]

icu::number::UnlocalizedNumberFormatter::UnlocalizedNumberFormatter | ( |  | ) |
| default

Default constructor: puts the formatter into a valid but undefined state.

Stable:
  ICU 62

## ◆ UnlocalizedNumberFormatter() [2/3]

icu::number::UnlocalizedNumberFormatter::UnlocalizedNumberFormatter | ( | const UnlocalizedNumberFormatter & | other | ) |

Returns a copy of this UnlocalizedNumberFormatter.

Stable:
  ICU 60

## ◆ UnlocalizedNumberFormatter() [3/3]

icu::number::UnlocalizedNumberFormatter::UnlocalizedNumberFormatter | ( | UnlocalizedNumberFormatter && | src | ) |
| noexcept

Move constructor: The source UnlocalizedNumberFormatter will be left in a valid but undefined state.

Stable:
  ICU 62

## Member Function Documentation

## ◆ locale() [1/2]

LocalizedNumberFormatter icu::number::UnlocalizedNumberFormatter::locale | ( | const icu::Locale & | locale | ) | &&

Overload of locale() for use on an rvalue reference.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

See also
  locale

Stable:
  ICU 62

## ◆ locale() [2/2]

LocalizedNumberFormatter icu::number::UnlocalizedNumberFormatter::locale | ( | const icu::Locale & | locale | ) | const &

Associate the given locale with the number formatter.

The locale is used for picking the appropriate symbols, formats, and other data for number display.

Parameters

  locale | The locale to use when loading data for number formatting.

Returns
  The fluent chain.

Stable:
  ICU 60

## ◆ operator=() [1/2]

UnlocalizedNumberFormatter& icu::number::UnlocalizedNumberFormatter::operator= | ( | const UnlocalizedNumberFormatter & | other | ) |

Copy assignment operator.

Stable:
  ICU 62

## ◆ operator=() [2/2]

UnlocalizedNumberFormatter& icu::number::UnlocalizedNumberFormatter::operator= | ( | UnlocalizedNumberFormatter && | src | ) |
| noexcept

Move assignment operator: The source UnlocalizedNumberFormatter will be left in a valid but undefined state.

Stable:
  ICU 62

The documentation for this class was generated from the following file:

- i18n/unicode/numberformatter.h